/*
Theme Name:   Novakom thème
Theme URI:    https://novakom.fr/
Description:  Agence de communication
Author:       Benoit ROMEO
Author URI:   https://www.agenceomega.fr/
Template:     Divi
*/

/* 
 * 
 * COULEURS 
 * 
 * Novakom : #45eba5
 * Arobase : #ED7F13
 * Boostercom : #f47322
 * 
 */

:root {
	--main-color: #c91617;
	--createur-color: #ED7F13;
}

/* -- MENU -- */
#top-menu-nav { margin-top:-15px !important }
.et_pb_menu .et_pb_menu__menu>nav>ul>li.btn_contact { margin-left:11px !important; }
.btn_contact, body .et_mobile_menu > li.btn_contact > a {
	color: #c91617 !important;
	background-color: #FFF;
	padding: 0 !important;
	border-radius:10px;
}
body #et-top-navigation nav>ul>li.btn_contact>a, body .et-fixed-header #et-top-navigation nav>ul>li.btn_contact>a, body .et_mobile_menu > li.btn_contact > a, body .et_pb_menu_0_tb_header.et_pb_menu ul li.btn_contact a, body .et_pb_sticky .et_pb_menu_0_tb_header.et_pb_menu ul li.btn_contact a, body .et_pb_menu_1_tb_header.et_pb_menu ul li.btn_contact a {
	color: #8c0003 !important;
	padding-bottom:0 !important;
	padding: 15px 25px 15px 25px !important;
}

body #et-main-area { margin-top:-150px !important; }

/*body,
#page-container {
  opacity: 0;
}

body.page-ready,
body.page-ready #page-container {
  opacity: 1;
}*/


/***  Portfolio ***/
.et_pb_portfolio_items {
	display:flex;
	flex-wrap:wrap;
}

body .dp-portfolio-grid .et_pb_portfolio_item {
    min-height: 400px !important;
}
.dp-portfolio-grid {
    padding: 0 10px;
}
.dp-portfolio-grid .et_pb_portfolio_item {
    min-height: 400px !important;
    padding: 35px;
    border: 10px solid transparent;
    position: relative;
    overflow: hidden;
	display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
	width:33.33% !important;
}
.dp-portfolio-grid .et_pb_portfolio_item:hover .et_overlay {
    z-index: 3;
    opacity: 1;
}
.dp-portfolio-grid .et_portfolio_image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.dp-portfolio-grid .et_portfolio_image img {
    max-width: none;
    object-fit: cover;
    height: 100%;
	width:100%;
    object-position: center;
}

.dp-portfolio-grid .et_pb_module_header,
.dp-portfolio-grid p.post-meta {
    position: relative;
    z-index: 5;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all .4s ease 0s;
    transition: all .4s ease 0s;
    transform: translate(0, -20px);
    -ms-transform: translate(0, -20px);
    -webkit-transform: translate(0, -20px);
}

.dp-portfolio-grid .et_pb_module_header {
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.25);
}

.dp-portfolio-grid .et_pb_portfolio_item:hover .et_pb_module_header,
.dp-portfolio-grid .et_pb_portfolio_item:hover p.post-meta {
    opacity: 1;
    visibility: visible;
    transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -webkit-transform: translate(0, 0);
    transition-delay: .2s;
    -webkit-transition-delay: .2s;
}
.dp-portfolio-grid
.et_pb_portofolio_pagination {
	border-top: none;
}

.et_pb_filterable_portfolio .et_pb_portfolio_filters li a {
    padding: 15px 30px;
    border: none;
    background-color: #FDFBF6;
}

.dp-portfolio-grid .et_pb_portfolio_item:hover .et_portfolio_image img {
	transform: scale(1);
  transition: all .3s ease-in-out;
}
.dp-portfolio-grid .et_pb_portfolio_item .et_portfolio_image img {
	transition: all .3s ease-in-out;
  transform: scale(1.1);
}

/*** Portfolio Filters Responsive Fixes ***/
@media screen and ( min-width: 1600px ){
.dp-portfolio-grid .et_pb_portfolio_item {
    min-height: 300px !important;
}
}

@media screen and ( max-width: 1720px ) {
/*.dp-portfolio-grid .et_pb_portfolio_filters {
	  justify-content: flex-start !important;
    margin-top: 100px;
}*/
}


/* Show right swiper arrow next to left arrow on testimonials carousel */
#creative-testimonials .swiper-button-next.swiper-arrow-button {
    right: auto !important;
    left: 60px;
}


/*** Blog Grid ***/
.dp_blog_grid .et_pb_post:hover {
	background-color: #fff !important;
	transition: all .3s ease-in-out;
}
.dp_blog_grid .et_pb_post {
transition: all .3s ease-in-out !important;
	overflow: hidden;
}
.dp_blog_grid .et_pb_blog_grid .et_pb_post:hover .et_pb_image_container img {
	transform: scale(1.1);
	transition: all .4s ease-in-out;
}
.dp_blog_grid .et_pb_blog_grid .et_pb_post .et_pb_image_container img {
	transition: all .4s ease-in-out;
}


/* -- PROCESS -- */
.dp_timeline .dipi_timeline_item_card-wrap { backdrop-filter:blur(5px); }

/* -- BLOG -- */
.display_wtitle .widgettitle { display:none; }
.dipi_blog_slider .swiper-container { overflow:visible !important; }
.dipi_blog_slider .dipi-entry-featured-image-url { margin-top:-100px; padding:0 20px; }
.dipi_blog_slider .dipi-blog-post { background-image: url(https://prod-novakom.fr/arobase/lumos/wp-content/uploads/2025/12/fond-degrade.webp); background-size: cover; background-position: center; transition: border 300ms ease 0ms, background-color 300ms ease 0ms, background-image 300ms ease 0ms; }
.dipi_blog_slider .dipi-entry-featured-image-url img { border-radius:30px; }
.dipi_blog_slider .dipi-bottom-content { align-items:flex-end !important; }


/* -- CONTACT --*/
.et-pb-contact-message { color:#fff !important; }

/* -- BOUTON HAUT DE PAGE -- */
.et_pb_scroll_top.et-pb-icon { background-color: var(--main-color) !important; }

/* -- FOOTER --*/
footer ul.et-menu>li { width:90% !important; margin:0; }
footer ul.et-menu>li>a { padding:0 !important; }
body .footer-link a { transition: color 300ms ease 0ms; }
body .footer-link a:hover { color:var(--main-color) !important; transition: color 300ms ease 0ms; }
body .footer-link a.link_createur { color:var(--createur-color) !important; }

/* -- DIVI MOBILE -- */
#dm-menu .sub-menu { margin-top:20px !important; padding:0 !important; }

/* -- FIX BUGS -- */
.et-fixed-header #et-top-navigation { min-height:0 !important; }
#cookie-notice .cn-button:not(.cn-button-custom) { background:var(--main-color) !important } 
header>div.container { width:90%; }




/* -- TIPS DIVI -- */
.align-last-module { display:flex; flex-flow:column nowrap; }
.align-last-module>div:last-child { margin-top:auto !important; padding-top:30px; }
.va-center { align-items:center !important; }
.cva-center { }

/* TABLETS */
@media all and ( max-width: 980px) {
	body #et-main-area { margin-top:0 !important; }
	
	/* MENU */
	.et_pb_menu_1_tb_header.et_pb_menu ul li.btn_contact a { color: var(--main-color); }
	
	/* PORTFOLIO */
	.dp-portfolio-grid .et_pb_portfolio_item {
		width:50% !important;
	}
	
	.reverse-column { display:flex !important; flex-direction:column-reverse !important; }
	.reverse-column>div.et_pb_column:first-child { margin-bottom:0 !important; }
	.reverse-column>div.et_pb_column:last-child { margin-bottom:30px !important; }
	.special-reverse-column>div { display:flex !important; flex-direction:column-reverse !important; }
	.special-reverse-column>div>div.et_pb_column:first-child { margin-bottom:0 !important; }
	.special-reverse-column>div>div.et_pb_column:last-child { margin-bottom:30px !important; }
	
	/* FOOTER*/ 
	footer .et_pb_menu--style-left_aligned .et_pb_menu__wrap { justify-content:flex-start;}
	footer .et-menu > li > a { color:lighter !important; }
	footer .et_pb_menu .et_pb_menu__menu { display:flex !important; justify-content:center !important; }
	footer .et_mobile_nav_menu { display:none !important; }
}

/* MOBILE */
@media all and ( max-width: 767px) {
	/* PORTFOLIO */
	.dp-portfolio-grid .et_pb_portfolio_item {
		width:100% !important;
	}
	
	.et_pb_column .et_pb_filterable_portfolio .et_pb_portfolio_filters li {
		        width: 100%;
	}
	
	/* FOOTER */
	footer .et_pb_menu .et_pb_menu__menu { width:100% !important; }
	footer .et_pb_menu .et_pb_menu__menu>nav>ul { justify-content:center !important; }
    footer .et_pb_menu .et_pb_menu__menu>nav>ul>li>a { margin:auto !important; }
}